Osi 0.107.7

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Classes | Public Member Functions | Static Public Member Functions | Private Member Functions | Private Attributes | List of all members
slack_singleton_action Class Reference

For variables with one entry. More...

`#include <CoinPresolveSingleton.hpp>`

Inheritance diagram for slack_singleton_action:
[legend]
Collaboration diagram for slack_singleton_action:
[legend]

## Classes
struct | action

## Public Member Functions
const char * | name () const
| A name for debug printing. More...
void | postsolve (CoinPostsolveMatrix *prob) const
| Apply the postsolve transformation for this particular presolve action. More...
virtual | ~slack_singleton_action ()
Public Member Functions inherited from CoinPresolveAction
| CoinPresolveAction (const CoinPresolveAction *next)
| Construct a postsolve object and add it to the transformation list. More...
void | setNext (const CoinPresolveAction *nextAction)
| modify next (when building rather than passing) More...
virtual | ~CoinPresolveAction ()
| Virtual destructor. More...

## Static Public Member Functions
static const CoinPresolveAction * | presolve (CoinPresolveMatrix *prob, const CoinPresolveAction *next, double *rowObjective)
Static Public Member Functions inherited from CoinPresolveAction
static void | throwCoinError (const char *error, const char *ps_routine)
| Stub routine to throw exceptions. More...

## Private Member Functions
| slack_singleton_action (int nactions, const action *actions, const CoinPresolveAction *next)

## Private Attributes
const int | nactions_
const action *const | actions_

## Additional Inherited Members
Public Attributes inherited from CoinPresolveAction
const CoinPresolveAction * | next
| The next presolve transformation. More...

## Detailed Description

For variables with one entry.

If we have a variable with one entry and no cost then we can transform the row from E to G etc. If there is a row objective region then we may be able to do this even with a cost.

Definition at line 75 of file CoinPresolveSingleton.hpp.

## Constructor & Destructor Documentation

slack_singleton_action::slack_singleton_action | ( | int | nactions,
|  | const action * | actions,
|  | const CoinPresolveAction * | next
| ) |  |
| inline private

Definition at line 92 of file CoinPresolveSingleton.hpp.

virtual slack_singleton_action::~slack_singleton_action | ( |  | ) |
| inline virtual

Definition at line 110 of file CoinPresolveSingleton.hpp.

## Member Function Documentation

const char* slack_singleton_action::name | ( |  | ) | const
| inline virtual

A name for debug printing.

It is expected that the name is not stored in the transform itself.

Implements CoinPresolveAction.

Definition at line 101 of file CoinPresolveSingleton.hpp.

static const CoinPresolveAction* slack_singleton_action::presolve | ( | CoinPresolveMatrix * | prob,
|  | const CoinPresolveAction * | next,
|  | double * | rowObjective
| ) |  |
| static

void slack_singleton_action::postsolve | ( | CoinPostsolveMatrix * | prob | ) | const
| virtual

Apply the postsolve transformation for this particular presolve action.

Implements CoinPresolveAction.

## Member Data Documentation

const int slack_singleton_action::nactions_
| private

Definition at line 89 of file CoinPresolveSingleton.hpp.

const action* const slack_singleton_action::actions_
| private

Definition at line 90 of file CoinPresolveSingleton.hpp.

The documentation for this class was generated from the following file:

- /tmp/Osi-0.107.7/CoinUtils/src/CoinPresolveSingleton.hpp